# Query Apply Collection Account Result

### **Request** URL <a href="#payin-by-creditcard" id="payin-by-creditcard"></a>

`POST` `/remittance/collection/query-apply-va-result`

### **Request Body**

&#x20;**Refer to :** [**common**](https://docs.pagsmile.com/remittance-api/common)

&#x20;**Biz\_data**&#x20;

<table><thead><tr><th width="194.171875">Name</th><th width="161.97265625">Type</th><th>Description</th></tr></thead><tbody><tr><td>merchant_id<mark style="color:red;">*</mark></td><td>long</td><td>Merchant ID</td></tr><tr><td>apply_no</td><td>string</td><td>Apply Number</td></tr><tr><td>start_date<mark style="color:red;">*</mark></td><td>string</td><td><p>Begin Time</p><p>Format: yyyy-MM-dd HH:mm:ss</p></td></tr><tr><td>end_date<mark style="color:red;">*</mark></td><td>string</td><td><p>End Time</p><p>Format: yyyy-MM-dd HH:mm:ss</p></td></tr><tr><td>page_num</td><td>integer</td><td><p>Page Number</p><p>Default value :1</p></td></tr><tr><td>page_size</td><td>integer</td><td><p>Page Size</p><p>Default value :10,</p><p>Max value:30</p></td></tr></tbody></table>

### Response <a href="#example" id="example"></a>

{% tabs %}
{% tab title="200:submit successfully" %}

```
{
    "code": "10000",
    "msg": "Success",
    "data":[
        {
        }
    ],
    "total":4
    "random_key":"abssdddd2wdw==",
    "sign_type": "RSA",
    "app_id": "2017051914172236111"
}
```

{% endtab %}

{% tab title="400: invalid-signature" %}

```
{
    "code": "40002",
    "msg": "Business Failed",
    "sub_code": "invalid-signature",
    "sub_msg": "invalid signature"
}
```

{% endtab %}
{% endtabs %}

<table><thead><tr><th width="239.9296875">Name</th><th width="179.25">Type</th><th>Description</th></tr></thead><tbody><tr><td>merchant_id<mark style="color:red;">*</mark></td><td>long</td><td>Merchant Id</td></tr><tr><td>apply_no<mark style="color:red;">*</mark></td><td>string</td><td>Order Number</td></tr><tr><td>account_label</td><td>string</td><td>Account Alias</td></tr><tr><td>business_types</td><td>list&#x3C;integer></td><td>Business types</td></tr><tr><td>collection_account_ids</td><td>list&#x3C;long></td><td>Collection Account IDs</td></tr><tr><td>currency<mark style="color:red;">*</mark></td><td>string</td><td><p>Currency </p><p>As a 3-letter ISO currency code</p></td></tr><tr><td>status<mark style="color:red;">*</mark></td><td>integer</td><td><p>Status</p><p>Refer to <a href="../../data/dictionary-item/all-audit-status">Status</a></p></td></tr><tr><td>created_at<mark style="color:red;">*</mark></td><td>string</td><td>Created At</td></tr><tr><td>comments</td><td>string</td><td>Reason description</td></tr></tbody></table>

### Example <a href="#example" id="example"></a>

```

curl --location --request POST 'https://rem-api-sandbox.pagsmile.com/remittance/collection/query-apply-va-result' \
--header 'Content-Type: application/json' \
--data-raw '
{
    "partner_id": "000000000000001",
    "app_id": "162051914172236138",
    "timestamp": "2011-09-23 04:24:03",
    "format": "JSON",
    "version": "2.0",
    "random_key": "jJT3+PR9CSowcR2QOK5OzMjVmTSjGoectzYbO8lENHnboElE",
    "request_id": "F6bEd39c-EecF-C1a2-AFcb-bA9BAeC8",
    "sign_type": "RSA",
    "biz_data": "jJT3+PR9CSowcR2QOK5OzMjVmTSjGoectzYbO8lENHnboElEjJT3+PR9CSowcR2QOK5OzMjVmTSjGoectzYbO8lENHnboElE"
}'
```

```
```

Note: **162\*\*\*\*\*\*\*\*\*\*\*\*38** is pagsmile's test app id for sandbox

Please use your own **app\_id** when testing.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pagsmile.com/remittance-api/business/collection/query-apply-collection-account-result.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
